Skip to main content
POST
/
bbps
/
cou
/
v1
/
billers
/
response
/
complaint
Transaction Status & Complaint Response (Polling)
curl --request POST \
  --url https://sandbox.cashfree.com/bbps/cou/v1/billers/response/complaint \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "transaction_ref_id": "OU011010XTZVU2DAW9SO",
  "msg_id": "8ENSVVR4QOS7X1UGPY7JGUV444P10102202",
  "bill_fetch_ref_id": "HENSVVR4QOS7X1UGPY7JGUV444P10102202"
}
'
{
  "status": "OK",
  "message": "Transaction status fetched successfully",
  "data": {
    "txn_status_complain_response": {
      "msg_id": "8ENSVVR4QOS7X1UGPY7JGUV444P10102202",
      "response_code": "000",
      "response_reason": "SUCCESS",
      "txn_list": [
        {
          "agent_id": "OU01XXXXINT001123456",
          "biller_id": "ONNSTNS00NAT01",
          "approval_ref_num": "AB12345001",
          "txn_reference_id": "OU011010XTZVU2DAW9SO",
          "mti": "PAYMENT",
          "txn_date": "2021-01-10T17:19:53+05:30",
          "amount": "100000",
          "txn_status": "SUCCESS",
          "dispute_id": "OU012021021027717238",
          "dispute_status": "ACCEPTED",
          "payment_ref_id": "OU011010PUDQS23GR8MM70T7Z9E71L14JH3XBTVJ0RO",
          "customer_mobile": "9123456079"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

Your unique client secret issued by Cashfree. Keep this confidential and never expose it in client-side code. You can find this in your Merchant Dashboard.

Body

application/json

Request parameters to poll a complaint or transaction status request.

transaction_ref_id
string
required

Unique transaction reference ID from the original bill payment

Example:

"OU011010XTZVU2DAW9SO"

bill_fetch_ref_id
string
required

Unique reference ID generated during the Bill Fetch step

Example:

"HENSVVR4QOS7X1UGPY7JGUV444P10102202"

msg_id
string

Message ID received from the Complaint Request API response (data.msg_id)

Example:

"8ENSVVR4QOS7X1UGPY7JGUV444P10102202"

Response

Success response for polling a complaint or transaction status request.

status
string

HTTP status of the API call. This is always "OK".

Example:

"OK"

message
string

Human-readable outcome indicator.

Example:

"Transaction status fetched successfully"

data
object